import urlAlias from '../url'
import request from '../request'

const {
  orderRead,
  detailStandardList,
} = urlAlias

const state = {
  orderInfo: {},
  skuList: [],
}

const mutations = {
  INIT: (state, orderInfo) => {
    state.orderInfo = orderInfo
  },
  SKU: (state, skuList) => {
    state.skuList = skuList
  },
}

const actions = {
  getOrderInfo({ commit }, param) {
    return new Promise((resolve) => request({
      url: orderRead,
      data: param,
      success: (res) => {
        console.log(res)
        commit('INIT', res.data.data)
        resolve(res.data.data)
      },
    }))
  },
  goodDetails({ commit, rootState }, param) {
    return new Promise((resolve) => request({
      url: detailStandardList,
      data: param,
      success: ({ data }) => {
        const { data: { skuList: list } } = data
        const { skId } = param
        const { skuList } = rootState.orderRead
        console.log('data', list, skId)
        for (let index = 0; index < list.length; index++) {
          const element = list[index]
          if (skId === element.sk_id) {
            skuList.push(element)
          }
        }
        commit('SKU', skuList)
        resolve()
      },
    }))
  },
}

export default {
  namespaced: true,
  state,
  mutations,
  actions,
}
