const DOMAIN = 'https://api.glass.xiuyetang.com'

let loading = false

export default async function request({
  url,
  method = 'post',
  data = {},
  header = {
    'Content-Type': 'application/x-www-form-urlencoded',
  },
  timeout = 3000,
  withCredentials = false, // 跨域请求时是否携带凭证（cookies）
  // sslVerify: true, // 验证 ssl 证书
  success,
  fail = (res) => {
    console.log('fail status === > ', res)
  },
  complete = (res) => {
    console.log('complete status === > ', res)
    if (loading) {
      uni.hideLoading()
    }
  },
  isLoading = false,
  loadingText = '加载中',
}) {
  if (isLoading) {
    loading = isLoading
    uni.showLoading({
      title: loadingText,
    })
  }
  const uid = uni.getStorageSync('uid')
  const openid = uni.getStorageSync('openid')
  data = {
    uid,
    openid,
    ...data,
  }
  uni
    .request({
      url: DOMAIN + url,
      method,
      data,
      header,
      timeout,
      withCredentials,
      success,
      fail,
      complete,
    })
}
